* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Poppins';
    font-weight: 500;
    image-rendering: pixelated;
}

.game-background {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-image: url(light-purple-background.jpg);
}

.game {
    width: 700px;
    height: 700px;
    display: none;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    background-color: white;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 5px 5px 15px black;
}

.overlay {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.6);
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 20px;
}

.overlay input,
.overlay button {
    margin: 10px;
    padding: 10px 20px;
    font-size: 18px;
    border-radius: 8px;
    border: none;
}
.overlay button {
    background-color: green;
    color: white;
    cursor: pointer;

}

.icone-jogo {
    margin-bottom: 50px;
}

.botao-jogar {
    font-size: 25px;
    border-radius: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 200px;
    height: 50px;
    background-color: white;
    color: rebeccapurple;
    cursor: pointer;
    transition: 0.3s ease;
    z-index: 2;
}

.botao-jogar:hover {
    transform: scale(1.1);
}

.botao-reiniciar {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-top: 50px;
    width: 500px;
    height: 100px;
    border-radius: 20px;
    background-color: white;
    color: rebeccapurple;
    cursor: pointer;
    transition: 0.3s ease;
}

.botao-reiniciar:hover {
    transform: scale(1.1);
}

.placar {
    width: 300px;
    border-radius: 20px;
    background-color: rgb(175, 175, 175);
}

.tempo {
    text-align: center;
    display: none;
    font-size: 30px;
    padding: 10px;
    color: rebeccapurple;
}

.pontuacao {
    text-align: center;
    display: none;
    font-size: 30px;
    padding: 10px;
    color: rebeccapurple;
}

.texto-problema {
    display: none;
    text-align: center;
    width: 550px;
    font-size: 25px;
    margin-top: 50px;
    color: rebeccapurple;
}

.gabinete {
    display: none;
    cursor: pointer;
    width: 250px;
    height: 250px;
}

.monitor {
    display: none;
    cursor: pointer;
    width: 250px;
    height: 250px;
}

.game-over {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    background-color: rgba(0, 0, 0, 0.9);
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 50px;
    color: white;
}

.texto-final {
    font-size: 100px;
}

.hardware-background {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 50px 0px;
}

.final-score {
    margin-top: 50px;
}

.score {
    color: rebeccapurple;
    margin-top: 20px;
}

#alternativas-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* 2 colunas */
    gap: 12px;
    width: 100%;
    max-width: 400px;
    margin-top: 16px;
}

#alternativas-container button {
    width: 100%;
    padding: 12px;
    font-size: 16px;
    border-radius: 25px;
    border: none;
    background-color: rgb(202, 202, 202);
    color: rebeccapurple;
    cursor: pointer;
    transition: background 0.2s ease, transform 0.08s ease;
}

#alternativas-container button:hover {
    transform: scale(1.1);
}

.desativado {
    pointer-events: none;
}

.oculto {
    display: none;
}

.visivel-flex {
    display: flex;
}

.visivel-block {
    display: block;
}

.opacidade-50 {
    filter: opacity(50%);
}